Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## util.poker.texas
Class BetInt

    java.lang.Object
      util.poker.texas.BetInt

    public class BetInt

extends java.lang.Object

This class holds some static finals for human readable use of Actions

Author:
  Witthold/Korol

Field Summary
`static int` | `ALLIN`
`static int` | `CALL`
`static int` | `CALL20` smallPair, 1 raise before, you and one active have cash==20*MINRAISE
`static int` | `CHECK`
`static int` | `FOLD`
`static int` | `INVALID`
`static int` | `MINRAISE` raise of minimum(only at limited)
`static int` | `NA` init dead ranges with -2 // e.g. cardranks < 2 - StartingHandCharts
`static int` | `RAISE` custom raise
`static int` | `RAISE3` 3*BB + (amountOfActiveOpponent*BB)
`static int` | `RAISE4` 4*BB + (amountOfActiveOpponent*BB)

Constructor Summary
`private` | `BetInt()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INVALID

    public static final int INVALID

See Also:
  Constant Field Values

### FOLD

    public static final int FOLD

See Also:
  Constant Field Values

### CHECK

    public static final int CHECK

See Also:
  Constant Field Values

### CALL

    public static final int CALL

See Also:
  Constant Field Values

### CALL20

    public static final int CALL20

  smallPair, 1 raise before, you and one active have cash==20*MINRAISE

  See Also:
    Constant Field Values

### MINRAISE

    public static final int MINRAISE

  raise of minimum(only at limited)

  See Also:
    Constant Field Values

### RAISE3

    public static final int RAISE3

  3*BB + (amountOfActiveOpponent*BB)

  See Also:
    Constant Field Values

### RAISE4

    public static final int RAISE4

  4*BB + (amountOfActiveOpponent*BB)

  See Also:
    Constant Field Values

### RAISE

    public static final int RAISE

  custom raise

  See Also:
    Constant Field Values

### ALLIN

    public static final int ALLIN

See Also:
  Constant Field Values

### NA

    public static final int NA

  init dead ranges with -2 // e.g. cardranks < 2 - StartingHandCharts

  See Also:
    Constant Field Values

Constructor Detail

### BetInt

    private BetInt()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD